#!/bin/sh
echo 'name: cprng-aes
version: 0.2.3
id: cprng-aes-0.2.3-442b0a9fcb5ed04243e2b6f55270295f

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-cprng-aes
package-url:
synopsis: Crypto Pseudo Random Number Generator using AES in counter mode.
description: Simple crypto pseudo-random-number-generator with really good randomness property.
             .
             Using ent, a randomness property maker on one 1Mb sample:
             Entropy = 7.999837 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 237.02
             Arithmetic mean value of data bytes is 127.3422 (127.5 = random)
             Monte Carlo value for Pi is 3.143589568 (error 0.06 percent)
             .
             Compared to urandom with the same sampling:
             Entropy = 7.999831 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 246.63
             Arithmetic mean value of data bytes is 127.6347 (127.5 = random).
             Monte Carlo value for Pi is 3.132465868 (error 0.29 percent).
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Random.AESCtr
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/cprng-aes-0.2.3
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/cprng-aes-0.2.3
              /usr/local/lib
hs-libraries: HScprng-aes-0.2.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.0.0-3459bca6d8e46666b517e8bb2e033728
         bytestring-0.9.2.1-6ff76798e80a342ff74a1c8bcb3f4124
         cereal-0.3.5.2-d8fdfd2d762d81ca99ae81209aadd6ab
         crypto-api-0.10.2-dd2aed15ab5a877148f69cb46bf5d1a4
         cryptocipher-0.3.5-db2c322c98ddf62383024686caca1625
         entropy-0.2.1-3fdf1571f71b28d662fdfb5e36b0a6fa
         random-1.0.1.1-7f9342c90214b9289fdaf20c9e2f867f
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/cprng-aes-0.2.3/html/cprng-aes.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/cprng-aes-0.2.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
